﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace FLY.Weight.UI.Server
{
    public class PLCGroup
    {
        public class PLCDevice
        {
            public string EP;
        }

        public class PLCVariable
        {
            /// <summary>
            /// 设备序号
            /// </summary>
            public int DeviceIndex;
            /// <summary>
            /// 0,1,3,4
            /// </summary>
            public string Mode;
            /// <summary>
            /// 地址
            /// </summary>
            public int Addr;
            /// <summary>
            /// 类型 只有 bool 才对应 bool， 其它数值类型 都转为 float
            /// </summary>
            public string Type;
            /// <summary>
            /// 放大倍数
            /// </summary>
            public double Scale;
            /// <summary>
            /// 属性拥有者名称
            /// </summary>
            public string OwnerName;
            /// <summary>
            /// 属性名称
            /// </summary>
            public string PropertyName;
        }

        public List<PLCDevice> Devices = new List<PLCDevice>();
        public List<PLCVariable> Variables = new List<PLCVariable>();
    }
}
