﻿using FLY.ControlLibrary;
using FLY.Weight.IService;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Shapes;
using Unity;

namespace FLY.Weight.UI.Client.UiModule
{
    /// <summary>
    /// Window_GraphSet.xaml 的交互逻辑
    /// </summary>
    public partial class WdGraphSet : WindowBigClose
    {
        FlowGraphParams graphparam;
        FlowGraphVm flowGraphVm;
        public WdGraphSet()
        {
            InitializeComponent();
        }


        public void Init(FlowGraphVm flowGraphVm)
        {
            this.graphparam = FlowGraphParams.Current;
            this.flowGraphVm = flowGraphVm;

            this.DataContext = graphparam;
            this.grid_trend.DataContext = flowGraphVm;
        }

        private void btnOkClick(object sender, RoutedEventArgs e)
        {
            FlowGraphParams.Current.Save();
        }

        private void btnPreClick(object sender, RoutedEventArgs e)
        {
            flowGraphVm.PreView();

        }

        private void btnNextClick(object sender, RoutedEventArgs e)
        {
            flowGraphVm.NextView();
        }

        private void btnNewestClick(object sender, RoutedEventArgs e)
        {
            flowGraphVm.ToNewest();
        }
    }
}
