﻿using FLY.Weight.UI.Client.UiModule;
using System;
using System.Collections.Generic;
using System.ComponentModel;

using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Media;

namespace FLY.Weight.UI.Client.UnitTests
{
    //public class UnitTests_BufferWindow : INotifyPropertyChanged
    //{
    //    public bool IsFirstPage { get; set; }
    //    public bool IsLastPage { get; set; }

    //    public bool IsKeepNewest { get; set; }
    //    public int CurrentPage { get; set; }
    //    public int TotalPages { get; set; }
    //    public event PropertyChangedEventHandler PropertyChanged;
    //}
    public class UnitTests_FlowGraphModelView : INotifyPropertyChanged
    {
        /// <summary>
        ///自动按保持最新值，剩余时间
        /// </summary>
        public int AutoKeepNewestTimeRemaining { get; set; } = 10;

        public List<FlowGraphVm_Item> Items { get; set; }

        public UnitTests_FlowGraphModelView()
        {
            Items = new List<FlowGraphVm_Item>();
            Items.Add(new FlowGraphVm_Item() { Title = "A", Value=103.1, Visibility = Visibility.Hidden });
            Items.Add(new FlowGraphVm_Item() { Title = "B", Value = 10, Visibility = Visibility.Visible });
            Items.Add(new FlowGraphVm_Item() { Title = "C", Value = 23, Visibility = Visibility.Hidden });
            Items.Add(new FlowGraphVm_Item() { Title = "D", Value = 46.7, Visibility = Visibility.Hidden });
            Items.Add(new FlowGraphVm_Item() { Title = "E", Value = 80, Visibility = Visibility.Hidden });
            for(int i=0;i<Items.Count();i++)
            {
                FlowGraphVm_Item s = Items[i];
                s.Fill = WeighterColorDB.GetSelf(i);
            }
        }
        public event PropertyChangedEventHandler PropertyChanged;
    }
}
