﻿using FLY.Weight.Client;
using FLY.Weight.Common;
using FLY.Weight.IService;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Shapes;

namespace FLY.Weight.UI.Client
{
    /// <summary>
    /// Window_RatioSet.xaml 的交互逻辑
    /// </summary>
    public partial class WdRatioSet : FLY.ControlLibrary.WindowBigClose
    {
        IWeightSystemService obj;
        public WdRatioSet()
        {
            InitializeComponent();
        }
        public void Init(IWeightSystemService obj)
        {
            this.obj = obj;
        }

        private void button_ok_Click(object sender, RoutedEventArgs e)
        {

        }

        private void WindowBigClose_Loaded(object sender, RoutedEventArgs e)
        {
            root_grid.DataContext = obj;
            piechart.ItemsSource = obj.Items;
        }

        private void button_autoset_Click(object sender, RoutedEventArgs e)
        {
            var mWeighterCsService = obj;
            mWeighterCsService.Accessory.TotalFlowSetting = (int)(mWeighterCsService.Accessory.TotalFlow);
            for (int i = 0; i < mWeighterCsService.Items.Count(); i++)
            {
                WeighterC w = mWeighterCsService.Items[i];
                w.ScrewPSet = w.ScrewPDisp;
            }
            FLY.ControlLibrary.Window_Tip.Show("设置完成", "等待一会,设置比例就会等于当前比例", TimeSpan.FromSeconds(2));
        }
    }
}
